Chapter 14. namespacenotification


List, create, and manage namespace-level quota notifications.

14.1. createOrgNotification

Create Org Notification.

Authorizations: oauth2_implicit (org:admin)

14.1.2. Path parameters

TypeNameDescriptionSchema

path

orgname

required

The name of the organization

string

14.1.3. Request body schema (application/json)

Create a notification for an organization namespace

NameDescriptionSchema

event

required

The event that triggers this notification. Options include quota_warning and quota_error. Warning-type quota limits trigger quota_warning notifications. Reject-type limits trigger quota_error notifications. Deleting a quota configuration automatically removes all associated quota_warning and quota_error notification rules for that namespace to prevent orphaned settings. Recreating a quota requires setting up new notification rules.

string

method

required

The notification delivery method. Options include email, slack, webhook, quay_notification, flowdock, and hipchat.

string

config

required

JSON configuration for the notification method. Configuration varies by method type. For the email method at the organization level, providing an empty object ("config": {}) is valid because recipient routing is handled server-side. Notifications are automatically routed to the organization’s contact_email if configured; otherwise, they are sent to all organization administrators. Unlike repository-level email notifications, no explicit email address is required in config.

object

eventConfig

required

JSON configuration for filtering which events trigger the notification.

object

title

optional

Optional user-friendly title for the notification.

string

14.1.4. Responses

HTTP CodeDescriptionSchema

201

Successful creation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

14.1.5. Example command

$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
-H "Content-Type: application/json" \
--data '{
    "event": "quota_warning",
    "method": "email",
    "config": {},
    "eventConfig": {}
}' \
https://<quay-server.example.com>/api/v1/organization/<orgname>/notifications

14.2. listOrgNotifications

List Org Notifications.

Authorizations: oauth2_implicit (org:admin or global read-only superuser)

14.2.2. Path parameters

TypeNameDescriptionSchema

path

orgname

required

The name of the organization

string

14.2.3. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

14.2.4. Example command

$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
https://<quay-server.example.com>/api/v1/organization/<orgname>/notifications

14.2.5. Example output

{
"notifications": [
    {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "title": "Quota Warning Alert",
    "event": "quota_warning",
    "method": "email",
    "config": {},
    "event_config": {},
    "number_of_failures": 0
    }
]
}

14.3. getOrgNotification

Get Org Notification.

Authorizations: oauth2_implicit (org:admin or global read-only superuser)

14.3.2. Path parameters

TypeNameDescriptionSchema

path

orgname

required

The name of the organization

string

path

uuid

required

The UUID of the notification

string

14.3.3. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

14.3.4. Example command

$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
https://<quay-server.example.com>/api/v1/organization/<orgname>/notifications/<uuid>

14.3.5. Example output

{
"notifications": [
    {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "title": "Quota Warning Alert",
    "event": "quota_warning",
    "method": "email",
    "config": {},
    "event_config": {},
    "number_of_failures": 0
    }
]
}

14.4. deleteOrgNotification

Delete Org Notification.

Authorizations: oauth2_implicit (org:admin)

14.4.2. Path parameters

TypeNameDescriptionSchema

path

orgname

required

The name of the organization

string

path

uuid

required

The uuid of the notification

string

14.4.3. Responses

HTTP CodeDescriptionSchema

204

Deleted

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

14.4.4. Example command

$ curl -X DELETE \
-H "Authorization: Bearer <bearer_token>" \
https://<quay-server.example.com>/api/v1/organization/<orgname>/notifications/<uuid>

14.5. testOrgNotification

Test Org Notification.

Authorizations: oauth2_implicit (org:admin)

14.5.2. Path parameters

TypeNameDescriptionSchema

path

orgname

required

The name of the organization

string

path

uuid

required

The uuid of the notification

string

14.5.3. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

14.5.4. Example command

$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
https://<quay-server.example.com>/api/v1/organization/<orgname>/notifications/<uuid>/test

14.5.5. Example output

{}
Note

For email notifications, if an organization contact email is set, the test notification is routed to that address. Otherwise, email notifications default to all organization administrators. For other methods such as Slack or webhook, routing follows the notification config.

14.6. resetOrgNotificationFailures

Reset Org Notification Failures.

Authorizations: oauth2_implicit (org:admin)

14.6.2. Path parameters

TypeNameDescriptionSchema

path

orgname

required

The name of the organization

string

path

uuid

required

The uuid of the notification

string

14.6.3. Responses

HTTP CodeDescriptionSchema

204

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

14.6.4. Example command

$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
https://<quay-server.example.com>/api/v1/organization/<orgname>/notifications/<uuid>

14.7. createUserNotification

Create User Notification.

14.7.1. POST /api/v1/user/namespacenotifications

Authorizations: oauth2_implicit (user:admin)

14.7.2. Request body schema (application/json)

Create a notification for a user namespace

NameDescriptionSchema

event

required

The event that triggers this notification. Options include quota_warning and quota_error. Warning-type quota limits trigger quota_warning notifications. Reject-type limits trigger quota_error notifications. Deleting a quota configuration automatically removes all associated quota_warning and quota_error notification rules for that namespace to prevent orphaned settings. Recreating a quota requires setting up new notification rules.

string

method

required

The notification delivery method. Options include email, slack, webhook, quay_notification, flowdock, and hipchat.

string

config

required

JSON configuration for the notification method. Configuration varies by method type. For the email method on a user namespace, providing an empty object ("config": {}) is valid because recipient routing is handled server-side and notifications are sent to the user account email address.

object

eventConfig

required

JSON configuration for filtering which events trigger the notification.

object

title

optional

Optional user-friendly title for the notification.

string

14.7.3. Responses

HTTP CodeDescriptionSchema

201

Successful creation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

14.7.4. Example command

$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
-H "Content-Type: application/json" \
--data '{
    "event": "quota_warning",
    "method": "email",
    "config": {},
    "eventConfig": {}
}' \
https://<quay-server.example.com>/api/v1/user/namespacenotifications

14.8. listUserNotifications

List User Notifications.

14.8.1. GET /api/v1/user/namespacenotifications

Authorizations: oauth2_implicit (user:admin)

14.8.2. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

14.8.3. Example command

$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
https://<quay-server.example.com>/api/v1/user/namespacenotifications

14.8.4. Example output

{
"notifications": [
    {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "title": "Quota Warning Alert",
    "event": "quota_warning",
    "method": "email",
    "config": {},
    "event_config": {},
    "number_of_failures": 0
    }
]
}

14.9. getUserNamespaceNotification

Get User Namespace Notification.

Authorizations: oauth2_implicit (org:admin or global read-only superuser)

14.9.2. Path parameters

TypeNameDescriptionSchema

path

uuid

required

The UUID of the notification

string

14.9.3. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

14.9.4. Example command

$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
https://<quay-server.example.com>/api/v1/user/namespacenotifications/<uuid>

14.9.5. Example output

{
"notifications": [
    {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "title": "Quota Warning Alert",
    "event": "quota_warning",
    "method": "email",
    "config": {},
    "event_config": {},
    "number_of_failures": 0
    }
]
}

14.10. deleteUserNotification

Delete User Notification.

Authorizations: oauth2_implicit (user:admin)

14.10.2. Path parameters

TypeNameDescriptionSchema

path

uuid

required

The uuid of the notification

string

14.10.3. Responses

HTTP CodeDescriptionSchema

204

Deleted

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

14.10.4. Example command

$ curl -X DELETE \
-H "Authorization: Bearer <bearer_token>" \
https://<quay-server.example.com>/api/v1/user/namespacenotifications/<uuid>

14.11. testUserNamespaceNotification

Test User Namespace Notification.

Authorizations: oauth2_implicit (user:admin)

14.11.2. Path parameters

TypeNameDescriptionSchema

path

uuid

required

The uuid of the notification

string

14.11.3. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

14.11.4. Example command

$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
https://<quay-server.example.com>/api/v1/user/namespacenotifications/<uuid>/test

14.11.5. Example output

{}
Note

For email notifications, the test notification is routed to the user account email address. For other methods such as Slack or webhook, routing follows the notification config.

14.12. resetUserNamespaceNotificationFailures

Reset User Namespace Notification Failures.

Authorizations: oauth2_implicit (org:admin)

14.12.2. Path parameters

TypeNameDescriptionSchema

path

orgname

required

The name of the organization

string

path

uuid

required

The uuid of the notification

string

14.12.3. Responses

HTTP CodeDescriptionSchema

204

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

14.12.4. Example command

$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
https://<quay-server.example.com>/api/v1/user/namespacenotifications/{uuid}
Red Hat logoGithubRedditYoutubeTwitter

Learn

Try, buy, & sell

Communities

About Red Hat

We deliver hardened solutions that make it easier for enterprises to work across platforms and environments, from the core datacenter to the network edge.

Making open source more inclusive

Red Hat is committed to replacing problematic language in our code, documentation, and web properties. For more details, see the Red Hat Blog.

About Red Hat Documentation

Legal Notice

Theme

© 2026 Red Hat
Back to top